import * as cdk from '@aws-cdk/core';
import * as iam from '@aws-cdk/aws-iam';
import { TransformerContextProvider, TransformerSchemaVisitStepContextProvider, TransformerTransformSchemaStepContextProvider } from '@aws-amplify/graphql-transformer-interfaces';
import { TransformerContext } from '../transformer-context';
import { SyncConfig, SyncConfigLambda } from '../config/transformer-config';
declare type DeltaSyncConfig = {
    DeltaSyncTableName: unknown;
    DeltaSyncTableTTL: number;
    BaseTableTTL: number;
};
export declare const createSyncTable: (context: TransformerContext) => void;
export declare const syncDataSourceConfig: () => DeltaSyncConfig;
export declare const validateResolverConfigForType: (ctx: TransformerSchemaVisitStepContextProvider, typeName: string) => void;
export declare const getSyncConfig: (ctx: TransformerTransformSchemaStepContextProvider, typeName: string) => SyncConfig | undefined;
export declare const isLambdaSyncConfig: (syncConfig: SyncConfig) => syncConfig is SyncConfigLambda;
export declare function createSyncLambdaIAMPolicy(context: TransformerContextProvider, stack: cdk.Stack, name: string, region?: string): iam.Policy;
export {};
//# sourceMappingURL=sync-utils.d.ts.map